{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "forceConsistentCasingInFileNames": true,
    "strict": false,
    "noImplicitOverride": false,
    "noPropertyAccessFromIndexSignature": true,
    "noImplicitReturns": false,
    "noFallthroughCasesInSwitch": true,
    "sourceMap": true,
    "declaration": false,
    "module": "es2020",
    "moduleResolution": "node",
    "downlevelIteration": true,
    "emitDecoratorMetadata": false,
    "experimentalDecorators": true,
    "resolveJsonModule": true,
    "importHelpers": true,
    "target": "ES2022",
    "lib": [
      "es2020",
      "dom"
    ],
    "paths": {
      "@app_modules/*": [
        "src/app/modules/*"
      ],
      "@app_components/*": [
        "src/app/shared/components/*"
      ],
      "@app_consts": [
        "src/app/shared/app.consts.ts"
      ],
      "@app_core/*": [
        "src/app/shared/core/*"
      ],
      "@app_services/*": [
        "src/app/shared/services/*"
      ],
      "@app_models/*": [
        "src/app/shared/models/*"
      ],
      "jszip": [
        "node_modules/jszip/dist/jszip.min.js"
      ]
    },
    "useDefineForClassFields": false
  }
  // , "angularCompilerOptions": {
  //   "enableI18nLegacyMessageIdFormat": false,
  //   "strictInjectionParameters": true,
  //   "strictInputAccessModifiers": true,
  //   "strictTemplates": true
  // }
}
